### Method

# EDataServer SourceProxy get_ignore_hosts

since: 3.12

#### Declaration [src]

    const gchar* const*
    e_source_proxy_get_ignore_hosts (
      ESourceProxy* extension
    )

#### Description [src]

Returns a `NULL`-terminated string array of hosts which are connected to directly, rather than via the proxy (if it is active). The array elements can be hostnames, domains (using an initial wildcard like *.foo.com), IP host addresses (both IPv4 and IPv6) and network addresses with a netmask (something like 192.168.0.0/24).

The returned array is owned by `extension` and should not be modified or freed.

Available since: 3.12

Gets property | `EDataServer.SourceProxy:ignore-hosts`

#### Return value

Type: An array of `utf8`

A `NULL`-terminated string array of hosts.

The array is `NULL`-terminated.
The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.